Pro animh
;+
; Demo program to show an animated drawing (house) in 3-D.
;
; USAGE:
;     animh
;
;-

; Reset any 3-D transformations that may be in use creating a dummy window.

WINDOW, /FREE, XSIZE=300, YSIZE=300

; Initialize animation: set frame size and number of frames.
sizx = 300
sizy = 300
rate=50
nframes=16
XINTERANIMATE, SET=[sizx, sizy, nframes]

; Loop to create nframes images, rotating in the Z plane each time.

FOR i = 0, nframes - 1 DO BEGIN 
    SCALE3, AX = 75, AZ = i * 360. / nframes
    ERASE
    HOUSE                    ; Draw the house.
    SCALE3, AX = 75, AZ = i * 360. / nframes
    XINTERANIMATE, FRAME=i, WINDOW=!D.WINDOW
ENDFOR 

WDELETE   ; remove the dummy window

; Run the animation.
XINTERANIMATE, rate

END
